EDIT - bug #9491

Order of terms in not order relevant trees
03/01/2021 05:01 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal Found in Version:

Description

The order of not order relevant trees in term tree editors should be alphabetic.

Associated revisions

Revision a5cc95ce - 03/01/2021 01:40 PM - Katja Luther

children of termnodedto should be ordered alphabetically when not order relevant

Revision b858a126 - 03/01/2021 03:20 PM - Katja Luther

children of termnodedto should be ordered alphabetically when not order relevant - continue

Revision €9f80908 - 03/01/2021 03:20 PM - Katja Luther

children of termnodedto should be ordered alphabetically when not order relevant - continue

Revision 85f422a4 - 03/01/2021 06:26 PM - Katja Luther
ref #9491: do the ordering on editor side

Revision 0073b027 - 03/01/2021 06:31 PM - Katja Luther

ref #9491: revert changes in cdmlib

Revision 1a4389ec - 03/01/2021 06:40 PM - Katja Luther

ref #9491: do the ordering on editor side - code cleaning

Revision a501f1e0 - 03/02/2021 08:57 PM - Andreas Miiller
ref #9491 fix NPE in comparator

Revision ¢3a27807 - 03/04/2021 05:36 PM - Katja Luther

label issues in term editors

History

#1 - 03/01/2021 05:03 PM - Katja Luther
- % Done changed from 0 to 40

#2 - 03/01/2021 06:40 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Changed to client side ordering because the server does not know about the preference "Show Id in Vocabulary" for the term tree editor.

Please review

#3 - 03/02/2021 09:33 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther
There was still an NPE when editing the title of a tree. | fixed this with a501f1e0 .

It generally works. Only | do not understand why the comparator implements the label provider again. Shouldn't we reuse the label provider code to
be on the save side?

#4 - 03/09/2021 09:49 AM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Miiller
Andreas Muller wrote:
There was still an NPE when editing the title of a tree. | fixed this with a501f1e0 .
It generally works. Only | do not understand why the comparator implements the label provider again. Shouldn't we reuse the label provider code

to be on the save side?

The comparator is adapted and uses the labelprovider, please have a short look whether everything is ok, then we can close the ticket.

#5 - 03/09/2021 11:57 AM - Andreas Miiller

Can we delete the commented text in CreateDefinedTermOperation?

#6 - 03/09/2021 12:13 PM - Andreas Miuller

Can we rename FeatureTreeViewerComparator to TermTreeViewerComparator? "FeatureTree" is deprecated. Maybe we can run search and replace
for "FeatureTree" for the complete code (but take care for possible exceptions).

#7 - 03/09/2021 02:09 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 40 to 90
Functionality and new code looks looks ok beside this and ticket can be closed.

#8 - 03/10/2021 12:33 PM - Katja Luther
- Status changed from Feedback to Closed

#9 - 03/10/2021 12:33 PM - Katja Luther
- % Done changed from 90 to 100
